import { useState } from 'react';
import { extractFormData } from '../utils';

export const useForm = (initialFormData: any, formik: boolean = false) => {
  const [formData, setFormData] = useState<any>(initialFormData);

  if (formik) {
    const setStoredFormikData = (values: any) => {
      setFormData(values);
    };

    return [formData, setStoredFormikData];
  }

  const setStoredFormData = ({ currentTarget }: any) => {
    setFormData(extractFormData(currentTarget));
  };

  return [formData, setStoredFormData];
};
