import { useEffect, useState } from 'react';
import { loadItem, saveItem } from '../utils';

export const useLocalStorage = (
  key: string,
  initialValue: any,
  secure: boolean = false
) => {
  const [value, setValue] = useState<any>(() => (
    loadItem(key, initialValue, secure)
  ));

  useEffect(() => {
    saveItem(key, value, secure);
  }, [key, value, secure]);

  return [value, setValue];
};
