import { createRoot } from 'react-dom/client';
import { BrowserRouter, Routes, Route } from 'react-router-dom';
import reportWebVitals from './reportWebVitals';
import { ProviderSwitch } from './components/ProviderSwitch';
import { StrictModeSwitch } from './components/StrictModeSwitch';

import {
  /* PAGE_IMPORTS */
  AppWithHoc,
} from './pages';

createRoot(document.getElementById('root') as HTMLElement).render(
  <StrictModeSwitch active={false}>
    <ProviderSwitch active={true}>
      <BrowserRouter>
        <Routes>
          <Route index element={<AppWithHoc />} />
        </Routes>
      </BrowserRouter>
	  </ProviderSwitch>
  </StrictModeSwitch>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
