import {
  DeletePurgedResponse,
  GetIncludedResponse,
  GetRelationshipsDataResponse,
  GetRelationshipsResponse,
} from '../requests';

export const getIncluded = (
  payload: any,
  relationships: GetRelationshipsResponse[],
  state: any,
  attributes: {}
) => {
  if (payload.included) {
    payload?.included?.forEach((include: GetIncludedResponse<any>) => {
      relationships.forEach((relationship: GetRelationshipsResponse) => {
        relationship?.data?.forEach((related: GetRelationshipsDataResponse) => {
          if (related.id === include.id && related.type === include.type) {
            const included: GetIncludedResponse<any>[] = [];

            included.push(include);

            Array.isArray(state) ?
              state.push({ ...attributes, included }) :
              Object.assign(state, attributes);
          }
        });
      });
    });

    return;
  }

  Array.isArray(state) ?
    state.push(attributes) :
    Object.assign(state, attributes);
};

export const refreshList = (
  state: any,
  purged?: DeletePurgedResponse[] | null,
  id?: number | null,
  attributes?: {} | null
) => {
  if (purged) {
    purged.forEach(({ id }) => {
      state.splice(state.findIndex((model: any) => model.id === Number(id)), 1);
    });

    return;
  }

  Object.assign(state[
    state.findIndex((model: any) => model.id === id)
  ], attributes);
};
